pull-lp-source shouldn't need credentials

Bug #477670 reported by Scott Kitterman on 2009-11-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Developer Tools
Fix Released
Low
Iain Lane
ubuntu-dev-tools (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: ubuntu-dev-tools

$ pull-lp-source pulseaudio jaunty
E: No credentials found for 'ubuntu-dev-tools', please see the manage-credentials manpage for help on how to create one for this consumer.

I'm downloading source. This makes no sense and is a barrier to use.

ProblemType: Bug
Architecture: i386
Date: Sat Nov 7 13:04:50 2009
DistroRelease: Ubuntu 9.10
Package: ubuntu-dev-tools 0.81
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: ubuntu-dev-tools
Uname: Linux 2.6.31-14-generic i686

Scott Kitterman (kitterman) wrote :

Hi,

On Sat, Nov 07, 2009 at 06:08:48PM -0000, Scott Kitterman wrote:
>Public bug reported:
>
>Binary package hint: ubuntu-dev-tools
>
>$ pull-lp-source pulseaudio jaunty
>E: No credentials found for 'ubuntu-dev-tools', please see the manage-credentials manpage for help on how to create one for this consumer.
>
>I'm downloading source. This makes no sense and is a barrier to use.

  affects ubuntu-dev-tools
  status fixcommitted
  assignee laney

Thanks for your report.

I made it a warning (still says E:, that's a TODO) in r522 of
lp:ubuntu-dev-tools. Please check it works for you.

Regards,
Iain

Iain Lane (laney) on 2009-11-07
Changed in ubuntu-dev-tools (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in ubuntu-dev-tools:
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.83

---------------
ubuntu-dev-tools (0.83) lucid; urgency=low

  [ Iain Lane ]
  * lpapicache: Do not immediately bail out if we have no credentials to
    login. Clients are now expected to handle the lack of credentials
    themselves.
  * pull-lp-source: Make LP API use optional - fall back to a hardcoded
    default release if we aren't using it. (LP: #477670)
  * pull-lp-source: Detect more failure conditions and give a nice error
    instead of a trace
  * buildd, requestsync, grab-attachments, hugdaylist, update-maintainer:
    Detect & bail if we don't have credentials and need them. These scripts
    cannot continue under those circumstances.

  [ Kees Cook ]
  * mk-sbuild-lv: switch to ext4 by default.

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist, doc/pbuilder-dist.1:
     - Add "--debug-echo" option which prints the resulting pbuilder/cowbuilder
       commands instead of executing it.

  [ Martin Pitt ]
  * lp-project-upload: Generate tarball signature if it is not present yet.
  * lp-project-upload: Invoke editor to specify changelog and release notes,
    and add those to the project release.
 -- Martin Pitt <email address hidden> Fri, 20 Nov 2009 16:59:08 -0600

Changed in ubuntu-dev-tools (Ubuntu):
status: Triaged → Fix Released
Alain Kalker (miki4242) wrote :

Please backport this to Karmic, which has the same problem.

A workaround for users without updated ubuntu-dev-tools reading this bug report:

$ manage-credentials create -c ubuntu-dev-tools

This will launch your web browser, where you must login using your Launchpad user-id and password. Next you will be able to specify which access rights you want to grant to ubuntu-dev-tools.
Complete the process, and you will be then be able to use pull-lp-source normally.

Changed in ubuntu-dev-tools:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers